/*******************************************************************************
* File Name: COMP_X_OUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_COMP_X_OUT_H) /* Pins COMP_X_OUT_H */
#define CY_PINS_COMP_X_OUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "COMP_X_OUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    COMP_X_OUT_Write(uint8 value);
void    COMP_X_OUT_SetDriveMode(uint8 mode);
uint8   COMP_X_OUT_ReadDataReg(void);
uint8   COMP_X_OUT_Read(void);
uint8   COMP_X_OUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define COMP_X_OUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define COMP_X_OUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define COMP_X_OUT_DM_RES_UP          PIN_DM_RES_UP
#define COMP_X_OUT_DM_RES_DWN         PIN_DM_RES_DWN
#define COMP_X_OUT_DM_OD_LO           PIN_DM_OD_LO
#define COMP_X_OUT_DM_OD_HI           PIN_DM_OD_HI
#define COMP_X_OUT_DM_STRONG          PIN_DM_STRONG
#define COMP_X_OUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define COMP_X_OUT_MASK               COMP_X_OUT__MASK
#define COMP_X_OUT_SHIFT              COMP_X_OUT__SHIFT
#define COMP_X_OUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define COMP_X_OUT_PS                     (* (reg8 *) COMP_X_OUT__PS)
/* Data Register */
#define COMP_X_OUT_DR                     (* (reg8 *) COMP_X_OUT__DR)
/* Port Number */
#define COMP_X_OUT_PRT_NUM                (* (reg8 *) COMP_X_OUT__PRT) 
/* Connect to Analog Globals */                                                  
#define COMP_X_OUT_AG                     (* (reg8 *) COMP_X_OUT__AG)                       
/* Analog MUX bux enable */
#define COMP_X_OUT_AMUX                   (* (reg8 *) COMP_X_OUT__AMUX) 
/* Bidirectional Enable */                                                        
#define COMP_X_OUT_BIE                    (* (reg8 *) COMP_X_OUT__BIE)
/* Bit-mask for Aliased Register Access */
#define COMP_X_OUT_BIT_MASK               (* (reg8 *) COMP_X_OUT__BIT_MASK)
/* Bypass Enable */
#define COMP_X_OUT_BYP                    (* (reg8 *) COMP_X_OUT__BYP)
/* Port wide control signals */                                                   
#define COMP_X_OUT_CTL                    (* (reg8 *) COMP_X_OUT__CTL)
/* Drive Modes */
#define COMP_X_OUT_DM0                    (* (reg8 *) COMP_X_OUT__DM0) 
#define COMP_X_OUT_DM1                    (* (reg8 *) COMP_X_OUT__DM1)
#define COMP_X_OUT_DM2                    (* (reg8 *) COMP_X_OUT__DM2) 
/* Input Buffer Disable Override */
#define COMP_X_OUT_INP_DIS                (* (reg8 *) COMP_X_OUT__INP_DIS)
/* LCD Common or Segment Drive */
#define COMP_X_OUT_LCD_COM_SEG            (* (reg8 *) COMP_X_OUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define COMP_X_OUT_LCD_EN                 (* (reg8 *) COMP_X_OUT__LCD_EN)
/* Slew Rate Control */
#define COMP_X_OUT_SLW                    (* (reg8 *) COMP_X_OUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define COMP_X_OUT_PRTDSI__CAPS_SEL       (* (reg8 *) COMP_X_OUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define COMP_X_OUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) COMP_X_OUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define COMP_X_OUT_PRTDSI__OE_SEL0        (* (reg8 *) COMP_X_OUT__PRTDSI__OE_SEL0) 
#define COMP_X_OUT_PRTDSI__OE_SEL1        (* (reg8 *) COMP_X_OUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define COMP_X_OUT_PRTDSI__OUT_SEL0       (* (reg8 *) COMP_X_OUT__PRTDSI__OUT_SEL0) 
#define COMP_X_OUT_PRTDSI__OUT_SEL1       (* (reg8 *) COMP_X_OUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define COMP_X_OUT_PRTDSI__SYNC_OUT       (* (reg8 *) COMP_X_OUT__PRTDSI__SYNC_OUT) 


#if defined(COMP_X_OUT__INTSTAT)  /* Interrupt Registers */

    #define COMP_X_OUT_INTSTAT                (* (reg8 *) COMP_X_OUT__INTSTAT)
    #define COMP_X_OUT_SNAP                   (* (reg8 *) COMP_X_OUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins COMP_X_OUT_H */


/* [] END OF FILE */
