/*******************************************************************************
* File Name: Push_nSW.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Push_nSW_H) /* Pins Push_nSW_H */
#define CY_PINS_Push_nSW_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Push_nSW_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Push_nSW_Write(uint8 value);
void    Push_nSW_SetDriveMode(uint8 mode);
uint8   Push_nSW_ReadDataReg(void);
uint8   Push_nSW_Read(void);
uint8   Push_nSW_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Push_nSW_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Push_nSW_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Push_nSW_DM_RES_UP          PIN_DM_RES_UP
#define Push_nSW_DM_RES_DWN         PIN_DM_RES_DWN
#define Push_nSW_DM_OD_LO           PIN_DM_OD_LO
#define Push_nSW_DM_OD_HI           PIN_DM_OD_HI
#define Push_nSW_DM_STRONG          PIN_DM_STRONG
#define Push_nSW_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Push_nSW_MASK               Push_nSW__MASK
#define Push_nSW_SHIFT              Push_nSW__SHIFT
#define Push_nSW_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Push_nSW_PS                     (* (reg8 *) Push_nSW__PS)
/* Data Register */
#define Push_nSW_DR                     (* (reg8 *) Push_nSW__DR)
/* Port Number */
#define Push_nSW_PRT_NUM                (* (reg8 *) Push_nSW__PRT) 
/* Connect to Analog Globals */                                                  
#define Push_nSW_AG                     (* (reg8 *) Push_nSW__AG)                       
/* Analog MUX bux enable */
#define Push_nSW_AMUX                   (* (reg8 *) Push_nSW__AMUX) 
/* Bidirectional Enable */                                                        
#define Push_nSW_BIE                    (* (reg8 *) Push_nSW__BIE)
/* Bit-mask for Aliased Register Access */
#define Push_nSW_BIT_MASK               (* (reg8 *) Push_nSW__BIT_MASK)
/* Bypass Enable */
#define Push_nSW_BYP                    (* (reg8 *) Push_nSW__BYP)
/* Port wide control signals */                                                   
#define Push_nSW_CTL                    (* (reg8 *) Push_nSW__CTL)
/* Drive Modes */
#define Push_nSW_DM0                    (* (reg8 *) Push_nSW__DM0) 
#define Push_nSW_DM1                    (* (reg8 *) Push_nSW__DM1)
#define Push_nSW_DM2                    (* (reg8 *) Push_nSW__DM2) 
/* Input Buffer Disable Override */
#define Push_nSW_INP_DIS                (* (reg8 *) Push_nSW__INP_DIS)
/* LCD Common or Segment Drive */
#define Push_nSW_LCD_COM_SEG            (* (reg8 *) Push_nSW__LCD_COM_SEG)
/* Enable Segment LCD */
#define Push_nSW_LCD_EN                 (* (reg8 *) Push_nSW__LCD_EN)
/* Slew Rate Control */
#define Push_nSW_SLW                    (* (reg8 *) Push_nSW__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Push_nSW_PRTDSI__CAPS_SEL       (* (reg8 *) Push_nSW__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Push_nSW_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Push_nSW__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Push_nSW_PRTDSI__OE_SEL0        (* (reg8 *) Push_nSW__PRTDSI__OE_SEL0) 
#define Push_nSW_PRTDSI__OE_SEL1        (* (reg8 *) Push_nSW__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Push_nSW_PRTDSI__OUT_SEL0       (* (reg8 *) Push_nSW__PRTDSI__OUT_SEL0) 
#define Push_nSW_PRTDSI__OUT_SEL1       (* (reg8 *) Push_nSW__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Push_nSW_PRTDSI__SYNC_OUT       (* (reg8 *) Push_nSW__PRTDSI__SYNC_OUT) 


#if defined(Push_nSW__INTSTAT)  /* Interrupt Registers */

    #define Push_nSW_INTSTAT                (* (reg8 *) Push_nSW__INTSTAT)
    #define Push_nSW_SNAP                   (* (reg8 *) Push_nSW__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Push_nSW_H */


/* [] END OF FILE */
