/*******************************************************************************
* File Name: nPushSW.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_nPushSW_H) /* Pins nPushSW_H */
#define CY_PINS_nPushSW_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "nPushSW_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    nPushSW_Write(uint8 value);
void    nPushSW_SetDriveMode(uint8 mode);
uint8   nPushSW_ReadDataReg(void);
uint8   nPushSW_Read(void);
uint8   nPushSW_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define nPushSW_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define nPushSW_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define nPushSW_DM_RES_UP          PIN_DM_RES_UP
#define nPushSW_DM_RES_DWN         PIN_DM_RES_DWN
#define nPushSW_DM_OD_LO           PIN_DM_OD_LO
#define nPushSW_DM_OD_HI           PIN_DM_OD_HI
#define nPushSW_DM_STRONG          PIN_DM_STRONG
#define nPushSW_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define nPushSW_MASK               nPushSW__MASK
#define nPushSW_SHIFT              nPushSW__SHIFT
#define nPushSW_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define nPushSW_PS                     (* (reg8 *) nPushSW__PS)
/* Data Register */
#define nPushSW_DR                     (* (reg8 *) nPushSW__DR)
/* Port Number */
#define nPushSW_PRT_NUM                (* (reg8 *) nPushSW__PRT) 
/* Connect to Analog Globals */                                                  
#define nPushSW_AG                     (* (reg8 *) nPushSW__AG)                       
/* Analog MUX bux enable */
#define nPushSW_AMUX                   (* (reg8 *) nPushSW__AMUX) 
/* Bidirectional Enable */                                                        
#define nPushSW_BIE                    (* (reg8 *) nPushSW__BIE)
/* Bit-mask for Aliased Register Access */
#define nPushSW_BIT_MASK               (* (reg8 *) nPushSW__BIT_MASK)
/* Bypass Enable */
#define nPushSW_BYP                    (* (reg8 *) nPushSW__BYP)
/* Port wide control signals */                                                   
#define nPushSW_CTL                    (* (reg8 *) nPushSW__CTL)
/* Drive Modes */
#define nPushSW_DM0                    (* (reg8 *) nPushSW__DM0) 
#define nPushSW_DM1                    (* (reg8 *) nPushSW__DM1)
#define nPushSW_DM2                    (* (reg8 *) nPushSW__DM2) 
/* Input Buffer Disable Override */
#define nPushSW_INP_DIS                (* (reg8 *) nPushSW__INP_DIS)
/* LCD Common or Segment Drive */
#define nPushSW_LCD_COM_SEG            (* (reg8 *) nPushSW__LCD_COM_SEG)
/* Enable Segment LCD */
#define nPushSW_LCD_EN                 (* (reg8 *) nPushSW__LCD_EN)
/* Slew Rate Control */
#define nPushSW_SLW                    (* (reg8 *) nPushSW__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define nPushSW_PRTDSI__CAPS_SEL       (* (reg8 *) nPushSW__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define nPushSW_PRTDSI__DBL_SYNC_IN    (* (reg8 *) nPushSW__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define nPushSW_PRTDSI__OE_SEL0        (* (reg8 *) nPushSW__PRTDSI__OE_SEL0) 
#define nPushSW_PRTDSI__OE_SEL1        (* (reg8 *) nPushSW__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define nPushSW_PRTDSI__OUT_SEL0       (* (reg8 *) nPushSW__PRTDSI__OUT_SEL0) 
#define nPushSW_PRTDSI__OUT_SEL1       (* (reg8 *) nPushSW__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define nPushSW_PRTDSI__SYNC_OUT       (* (reg8 *) nPushSW__PRTDSI__SYNC_OUT) 


#if defined(nPushSW__INTSTAT)  /* Interrupt Registers */

    #define nPushSW_INTSTAT                (* (reg8 *) nPushSW__INTSTAT)
    #define nPushSW_SNAP                   (* (reg8 *) nPushSW__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins nPushSW_H */


/* [] END OF FILE */
