/*******************************************************************************
* File Name: AMux.h  
* Version 1.20
*
*  Description:
*    This file contains the constants and function prototypes for the Analog
*    Multiplexer User Module Amux.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/



#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"

#if !defined(CY_AMUX_AMux_H) 
#define CY_AMUX_AMux_H 


/***************************************
*        Function Prototypes 
***************************************/

void    AMux_Start(void);
void    AMux_Stop(void);
void    AMux_Select(uint8 channel);
void    AMux_FastSelect(uint8 channel);
void    AMux_DisconnectAll(void);



/***************************************
*           Parameter Defaults        
***************************************/
#define AMux_CHANNELS  2
#define AMux_MUXTYPE   1

/***************************************
*              Constants        
***************************************/


#define AMux_NULL_CHANNEL  0xFF
#define AMux_MUX_SINGLE   1
#define AMux_MUX_DIFF     2

/***************************************
*              Registers        
***************************************/


/***************************************
*                Misc           
***************************************/

#if(AMux_MUXTYPE == AMux_MUX_SINGLE)
#define AMux_Connect(channel) AMux_Set(channel)
#define AMux_Disconnect(channel) AMux_Unset(channel)
#else
void    AMux_Connect(uint8 channel);
void    AMux_Disconnect(uint8 channel);
#endif

#endif /* CY_AMUX_AMux_H */


/* [] END OF FILE */
