/*******************************************************************************
* File Name: OneShotX.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_OneShotX_H) /* Pins OneShotX_H */
#define CY_PINS_OneShotX_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "OneShotX_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    OneShotX_Write(uint8 value);
void    OneShotX_SetDriveMode(uint8 mode);
uint8   OneShotX_ReadDataReg(void);
uint8   OneShotX_Read(void);
uint8   OneShotX_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define OneShotX_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define OneShotX_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define OneShotX_DM_RES_UP          PIN_DM_RES_UP
#define OneShotX_DM_RES_DWN         PIN_DM_RES_DWN
#define OneShotX_DM_OD_LO           PIN_DM_OD_LO
#define OneShotX_DM_OD_HI           PIN_DM_OD_HI
#define OneShotX_DM_STRONG          PIN_DM_STRONG
#define OneShotX_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define OneShotX_MASK               OneShotX__MASK
#define OneShotX_SHIFT              OneShotX__SHIFT
#define OneShotX_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define OneShotX_PS                     (* (reg8 *) OneShotX__PS)
/* Data Register */
#define OneShotX_DR                     (* (reg8 *) OneShotX__DR)
/* Port Number */
#define OneShotX_PRT_NUM                (* (reg8 *) OneShotX__PRT) 
/* Connect to Analog Globals */                                                  
#define OneShotX_AG                     (* (reg8 *) OneShotX__AG)                       
/* Analog MUX bux enable */
#define OneShotX_AMUX                   (* (reg8 *) OneShotX__AMUX) 
/* Bidirectional Enable */                                                        
#define OneShotX_BIE                    (* (reg8 *) OneShotX__BIE)
/* Bit-mask for Aliased Register Access */
#define OneShotX_BIT_MASK               (* (reg8 *) OneShotX__BIT_MASK)
/* Bypass Enable */
#define OneShotX_BYP                    (* (reg8 *) OneShotX__BYP)
/* Port wide control signals */                                                   
#define OneShotX_CTL                    (* (reg8 *) OneShotX__CTL)
/* Drive Modes */
#define OneShotX_DM0                    (* (reg8 *) OneShotX__DM0) 
#define OneShotX_DM1                    (* (reg8 *) OneShotX__DM1)
#define OneShotX_DM2                    (* (reg8 *) OneShotX__DM2) 
/* Input Buffer Disable Override */
#define OneShotX_INP_DIS                (* (reg8 *) OneShotX__INP_DIS)
/* LCD Common or Segment Drive */
#define OneShotX_LCD_COM_SEG            (* (reg8 *) OneShotX__LCD_COM_SEG)
/* Enable Segment LCD */
#define OneShotX_LCD_EN                 (* (reg8 *) OneShotX__LCD_EN)
/* Slew Rate Control */
#define OneShotX_SLW                    (* (reg8 *) OneShotX__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define OneShotX_PRTDSI__CAPS_SEL       (* (reg8 *) OneShotX__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define OneShotX_PRTDSI__DBL_SYNC_IN    (* (reg8 *) OneShotX__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define OneShotX_PRTDSI__OE_SEL0        (* (reg8 *) OneShotX__PRTDSI__OE_SEL0) 
#define OneShotX_PRTDSI__OE_SEL1        (* (reg8 *) OneShotX__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define OneShotX_PRTDSI__OUT_SEL0       (* (reg8 *) OneShotX__PRTDSI__OUT_SEL0) 
#define OneShotX_PRTDSI__OUT_SEL1       (* (reg8 *) OneShotX__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define OneShotX_PRTDSI__SYNC_OUT       (* (reg8 *) OneShotX__PRTDSI__SYNC_OUT) 


#if defined(OneShotX__INTSTAT)  /* Interrupt Registers */

    #define OneShotX_INTSTAT                (* (reg8 *) OneShotX__INTSTAT)
    #define OneShotX_SNAP                   (* (reg8 *) OneShotX__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins OneShotX_H */


/* [] END OF FILE */
