/*******************************************************************************
* File Name: UART_TX.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_UART_TX_H) /* Pins UART_TX_H */
#define CY_PINS_UART_TX_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "UART_TX_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    UART_TX_Write(uint8 value);
void    UART_TX_SetDriveMode(uint8 mode);
uint8   UART_TX_ReadDataReg(void);
uint8   UART_TX_Read(void);
uint8   UART_TX_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define UART_TX_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define UART_TX_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define UART_TX_DM_RES_UP          PIN_DM_RES_UP
#define UART_TX_DM_RES_DWN         PIN_DM_RES_DWN
#define UART_TX_DM_OD_LO           PIN_DM_OD_LO
#define UART_TX_DM_OD_HI           PIN_DM_OD_HI
#define UART_TX_DM_STRONG          PIN_DM_STRONG
#define UART_TX_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define UART_TX_MASK               UART_TX__MASK
#define UART_TX_SHIFT              UART_TX__SHIFT
#define UART_TX_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define UART_TX_PS                     (* (reg8 *) UART_TX__PS)
/* Data Register */
#define UART_TX_DR                     (* (reg8 *) UART_TX__DR)
/* Port Number */
#define UART_TX_PRT_NUM                (* (reg8 *) UART_TX__PRT) 
/* Connect to Analog Globals */                                                  
#define UART_TX_AG                     (* (reg8 *) UART_TX__AG)                       
/* Analog MUX bux enable */
#define UART_TX_AMUX                   (* (reg8 *) UART_TX__AMUX) 
/* Bidirectional Enable */                                                        
#define UART_TX_BIE                    (* (reg8 *) UART_TX__BIE)
/* Bit-mask for Aliased Register Access */
#define UART_TX_BIT_MASK               (* (reg8 *) UART_TX__BIT_MASK)
/* Bypass Enable */
#define UART_TX_BYP                    (* (reg8 *) UART_TX__BYP)
/* Port wide control signals */                                                   
#define UART_TX_CTL                    (* (reg8 *) UART_TX__CTL)
/* Drive Modes */
#define UART_TX_DM0                    (* (reg8 *) UART_TX__DM0) 
#define UART_TX_DM1                    (* (reg8 *) UART_TX__DM1)
#define UART_TX_DM2                    (* (reg8 *) UART_TX__DM2) 
/* Input Buffer Disable Override */
#define UART_TX_INP_DIS                (* (reg8 *) UART_TX__INP_DIS)
/* LCD Common or Segment Drive */
#define UART_TX_LCD_COM_SEG            (* (reg8 *) UART_TX__LCD_COM_SEG)
/* Enable Segment LCD */
#define UART_TX_LCD_EN                 (* (reg8 *) UART_TX__LCD_EN)
/* Slew Rate Control */
#define UART_TX_SLW                    (* (reg8 *) UART_TX__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define UART_TX_PRTDSI__CAPS_SEL       (* (reg8 *) UART_TX__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define UART_TX_PRTDSI__DBL_SYNC_IN    (* (reg8 *) UART_TX__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define UART_TX_PRTDSI__OE_SEL0        (* (reg8 *) UART_TX__PRTDSI__OE_SEL0) 
#define UART_TX_PRTDSI__OE_SEL1        (* (reg8 *) UART_TX__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define UART_TX_PRTDSI__OUT_SEL0       (* (reg8 *) UART_TX__PRTDSI__OUT_SEL0) 
#define UART_TX_PRTDSI__OUT_SEL1       (* (reg8 *) UART_TX__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define UART_TX_PRTDSI__SYNC_OUT       (* (reg8 *) UART_TX__PRTDSI__SYNC_OUT) 


#if defined(UART_TX__INTSTAT)  /* Interrupt Registers */

    #define UART_TX_INTSTAT                (* (reg8 *) UART_TX__INTSTAT)
    #define UART_TX_SNAP                   (* (reg8 *) UART_TX__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins UART_TX_H */


/* [] END OF FILE */
