/*******************************************************************************
* Copyright 2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

/* This header exports the configuration method(s) defined by this file. */
#include <cyfitter_cfg.h>

/* This header includes all of the necessary type definitions. */
#include <cytypes.h>

/* Standard system includes */
#if !defined(__ARMCC_VERSION)
#include <string.h>
#endif

/* This header contains all of the macros necessary for accessing registers on the device */
#include <cydevice.h>

/* This header contains all of the macros defined based on the users choices in the System DWR as well as instance
   based macros for register access. */
#include <cyfitter.h>

/* This header contains functions needed to enable the digital array */
#include <CyLib.h>

/* The section below contains all of the data used to initialize the device. */
#include <CyDmac.h>

#if defined(__C51__) || defined(__CX51__)
#define CYCODE code
#define CYDATA data
#define CYXDATA xdata
#define CYFAR far
extern void cymemzero(void CYFAR *addr, uint16 size);
extern void cyconfigcpy(uint16 size, const void CYFAR *src, void CYFAR *dest) small;
extern void cyconfigcpycode(uint16 size, const void CYCODE *src, void CYFAR *dest);
#define CYMEMZERO(a,c) cymemzero((a),(c))
#define CYCONFIGCPY(d,s,c) cyconfigcpy((c),(s),(d))
#define CYCONFIGCPYCODE(d,s,c) cyconfigcpycode((c),(s),(d))
#else
#define CYCODE
#define CYDATA
#define CYXDATA
#define CYFAR
#define CYMEMZERO(a,c) cymemset((a),0,(c))
#define CYCONFIGCPY(d,s,c) cymemcpy((d),(s),(c))
#define CYCONFIGCPYCODE(d,s,c) cymemcpy((d),(s),(c))
#endif

/* Disable warnings about pointer truncation and pointer to integer conversion */
#if defined(__ARMCC_VERSION)

#pragma diag_suppress 767,69
#elif defined(__GNUC__)
#pragma GCC diagnostic ignored "-Wpointer-to-int-cast"
#endif

#if defined(__GNUC__) || defined(__ARMCC_VERSION)
#define CYPACKED __attribute__ ((packed))
#define DMAINITSEC __attribute__ ((section (".dma_init")))
#if defined(__ARMCC_VERSION)
#define CY_CFG_MEMORY_BARRIER() __memory_changed()
#else
#define CY_CFG_MEMORY_BARRIER() __sync_synchronize()
#endif
#else
#define CYPACKED
#define DMAINITSEC
#define CY_CFG_MEMORY_BARRIER()
#endif

#define CYDATADECL(name) const uint8 CYCODE name

typedef struct {
	void CYFAR *address;
	uint16 size;
} CYPACKED cfg_memset_t;

typedef struct {
	void CYFAR *dest;
	const void CYCODE *src;
	uint16 size;
} CYPACKED cfg_memcpy_t;

#define CFG_MEMSET_COUNT (sizeof(cfg_memset_list)/sizeof(*cfg_memset_list))
static const cfg_memset_t CYCODE cfg_memset_list [] = {
	/* address, size */
	{(void CYFAR *)(CYDEV_IO_PRT_PRT5_DR), 32},
	{(void CYFAR *)(CYDEV_UCFG_B0_P0_U0_BASE), 1152},
	{(void CYFAR *)(CYDEV_UCFG_B0_P2_ROUTE_BASE), 256},
	{(void CYFAR *)(CYDEV_UCFG_B0_P3_U1_BASE), 2432},
	{(void CYFAR *)(CYDEV_UCFG_B1_P2_U0_BASE), 2048},
	{(void CYFAR *)(CYDEV_UCFG_DSI0_BASE), 2560},
	{(void CYFAR *)(CYDEV_UCFG_DSI12_BASE), 512},
};

#define CY_CFG_BASE_ADDR_COUNT 26
typedef struct
{
	uint8 offset;
	uint8 value;
} CYPACKED cy_cfg_addrvalue_t;

static const uint32 CYCODE cy_cfg_addr_table[] = {
	0x40006403u, /* Base address: 0x40006400 Count: 3 */
	0x4001053Bu, /* Base address: 0x40010500 Count: 59 */
	0x40010754u, /* Base address: 0x40010700 Count: 84 */
	0x4001081Bu, /* Base address: 0x40010800 Count: 27 */
	0x4001092Bu, /* Base address: 0x40010900 Count: 43 */
	0x40010A15u, /* Base address: 0x40010A00 Count: 21 */
	0x40010B0Du, /* Base address: 0x40010B00 Count: 13 */
	0x40011402u, /* Base address: 0x40011400 Count: 2 */
	0x40011512u, /* Base address: 0x40011500 Count: 18 */
	0x40011612u, /* Base address: 0x40011600 Count: 18 */
	0x4001171Du, /* Base address: 0x40011700 Count: 29 */
	0x40011826u, /* Base address: 0x40011800 Count: 38 */
	0x4001191Du, /* Base address: 0x40011900 Count: 29 */
	0x40011B04u, /* Base address: 0x40011B00 Count: 4 */
	0x40014005u, /* Base address: 0x40014000 Count: 5 */
	0x40014104u, /* Base address: 0x40014100 Count: 4 */
	0x40014209u, /* Base address: 0x40014200 Count: 9 */
	0x4001430Cu, /* Base address: 0x40014300 Count: 12 */
	0x40014402u, /* Base address: 0x40014400 Count: 2 */
	0x40014503u, /* Base address: 0x40014500 Count: 3 */
	0x40014606u, /* Base address: 0x40014600 Count: 6 */
	0x40014706u, /* Base address: 0x40014700 Count: 6 */
	0x4001480Du, /* Base address: 0x40014800 Count: 13 */
	0x40014922u, /* Base address: 0x40014900 Count: 34 */
	0x40014C05u, /* Base address: 0x40014C00 Count: 5 */
	0x40015008u, /* Base address: 0x40015000 Count: 8 */
};

static const cy_cfg_addrvalue_t CYCODE cy_cfg_data_table[] = {
	{0x85u, 0x1Fu},
	{0x86u, 0x7Fu},
	{0x89u, 0x0Fu},
	{0x04u, 0x8Au},
	{0x06u, 0x08u},
	{0x07u, 0x08u},
	{0x0Cu, 0x25u},
	{0x0Eu, 0x02u},
	{0x14u, 0x20u},
	{0x15u, 0x01u},
	{0x16u, 0x05u},
	{0x1Cu, 0x06u},
	{0x1Du, 0x03u},
	{0x1Fu, 0x01u},
	{0x24u, 0x01u},
	{0x26u, 0x10u},
	{0x27u, 0x80u},
	{0x2Du, 0x51u},
	{0x2Eu, 0x08u},
	{0x2Fu, 0x80u},
	{0x30u, 0x01u},
	{0x33u, 0x01u},
	{0x35u, 0x0Au},
	{0x36u, 0x40u},
	{0x37u, 0x10u},
	{0x3Cu, 0x88u},
	{0x3Du, 0x20u},
	{0x3Fu, 0x02u},
	{0x44u, 0x04u},
	{0x45u, 0x02u},
	{0x46u, 0x10u},
	{0x4Au, 0x01u},
	{0x4Bu, 0x40u},
	{0x4Du, 0x28u},
	{0x4Fu, 0x81u},
	{0x56u, 0x01u},
	{0x5Cu, 0x01u},
	{0x64u, 0x0Cu},
	{0x6Cu, 0x25u},
	{0x6Du, 0x20u},
	{0x6Eu, 0x80u},
	{0x6Fu, 0xA0u},
	{0x74u, 0x80u},
	{0x77u, 0x29u},
	{0x79u, 0x40u},
	{0x7Au, 0x83u},
	{0x7Bu, 0x40u},
	{0x80u, 0x88u},
	{0x81u, 0x02u},
	{0x83u, 0x10u},
	{0x85u, 0x10u},
	{0x86u, 0x92u},
	{0xC0u, 0xF0u},
	{0xC2u, 0xF0u},
	{0xC4u, 0xF0u},
	{0xCAu, 0xF0u},
	{0xCCu, 0xF0u},
	{0xCEu, 0xF0u},
	{0xD0u, 0xE0u},
	{0xD2u, 0x30u},
	{0xD6u, 0x80u},
	{0xE6u, 0x04u},
	{0x04u, 0x84u},
	{0x05u, 0x10u},
	{0x08u, 0x20u},
	{0x0Au, 0x04u},
	{0x0Du, 0x08u},
	{0x0Eu, 0x08u},
	{0x0Fu, 0x01u},
	{0x10u, 0x20u},
	{0x13u, 0x34u},
	{0x14u, 0x80u},
	{0x16u, 0x0Cu},
	{0x17u, 0x80u},
	{0x1Du, 0x40u},
	{0x1Eu, 0x40u},
	{0x1Fu, 0xA4u},
	{0x24u, 0x80u},
	{0x25u, 0x10u},
	{0x26u, 0x09u},
	{0x27u, 0x02u},
	{0x2Cu, 0x01u},
	{0x2Fu, 0x60u},
	{0x34u, 0x02u},
	{0x36u, 0x8Cu},
	{0x3Cu, 0x02u},
	{0x3Du, 0x60u},
	{0x3Eu, 0x24u},
	{0x40u, 0x20u},
	{0x41u, 0x08u},
	{0x44u, 0x48u},
	{0x45u, 0x40u},
	{0x47u, 0x08u},
	{0x4Du, 0x02u},
	{0x4Eu, 0x02u},
	{0x54u, 0x24u},
	{0x56u, 0x4Au},
	{0x58u, 0x01u},
	{0x59u, 0x09u},
	{0x5Bu, 0x08u},
	{0x5Cu, 0x02u},
	{0x5Du, 0x02u},
	{0x5Eu, 0x60u},
	{0x5Fu, 0x04u},
	{0x65u, 0x08u},
	{0x66u, 0x60u},
	{0x67u, 0x10u},
	{0x7Cu, 0x80u},
	{0x7Fu, 0x01u},
	{0x84u, 0x20u},
	{0x88u, 0x40u},
	{0x8Cu, 0x08u},
	{0x8Fu, 0x01u},
	{0x90u, 0x04u},
	{0x91u, 0x40u},
	{0x93u, 0x41u},
	{0x99u, 0x11u},
	{0x9Bu, 0x80u},
	{0x9Cu, 0x20u},
	{0x9Du, 0x20u},
	{0x9Eu, 0x04u},
	{0xA0u, 0x01u},
	{0xA1u, 0x02u},
	{0xA2u, 0x12u},
	{0xA4u, 0x04u},
	{0xA6u, 0x01u},
	{0xA8u, 0x40u},
	{0xABu, 0x20u},
	{0xACu, 0x40u},
	{0xAFu, 0x20u},
	{0xB3u, 0x21u},
	{0xB5u, 0x10u},
	{0xB7u, 0x01u},
	{0xC0u, 0xE0u},
	{0xC2u, 0xE0u},
	{0xC4u, 0xD0u},
	{0xCAu, 0xD0u},
	{0xCCu, 0xD0u},
	{0xCEu, 0xD0u},
	{0xD0u, 0xF0u},
	{0xD2u, 0x10u},
	{0xD6u, 0xF0u},
	{0xD8u, 0x70u},
	{0xE0u, 0x80u},
	{0xE6u, 0x08u},
	{0xEEu, 0x40u},
	{0x8Du, 0x01u},
	{0xA9u, 0x02u},
	{0xB3u, 0x01u},
	{0xB5u, 0x02u},
	{0xB7u, 0x01u},
	{0xBFu, 0x10u},
	{0xC0u, 0x42u},
	{0xC1u, 0x03u},
	{0xC5u, 0xE0u},
	{0xC6u, 0xC0u},
	{0xC7u, 0xBEu},
	{0xC8u, 0x3Au},
	{0xC9u, 0xFFu},
	{0xCAu, 0xFFu},
	{0xCBu, 0xFFu},
	{0xCEu, 0xF0u},
	{0xCFu, 0x44u},
	{0xD0u, 0x08u},
	{0xD4u, 0x01u},
	{0xD9u, 0x04u},
	{0xDAu, 0x0Au},
	{0xDBu, 0x04u},
	{0xDCu, 0x10u},
	{0xDDu, 0x19u},
	{0xE2u, 0xC0u},
	{0xE4u, 0x40u},
	{0xE5u, 0x02u},
	{0x20u, 0x02u},
	{0x21u, 0x04u},
	{0x22u, 0x80u},
	{0x23u, 0x08u},
	{0x2Bu, 0x08u},
	{0x30u, 0x20u},
	{0x33u, 0x10u},
	{0x34u, 0x08u},
	{0x36u, 0x08u},
	{0x3Bu, 0x80u},
	{0x40u, 0x88u},
	{0x42u, 0x10u},
	{0x49u, 0x01u},
	{0x4Cu, 0x08u},
	{0x4Eu, 0x08u},
	{0x50u, 0x20u},
	{0x52u, 0x12u},
	{0x53u, 0x08u},
	{0x59u, 0x01u},
	{0x5Au, 0x80u},
	{0x5Bu, 0x18u},
	{0x79u, 0x08u},
	{0x8Cu, 0x81u},
	{0x8Fu, 0x10u},
	{0x92u, 0xB0u},
	{0x94u, 0x02u},
	{0x97u, 0x01u},
	{0x98u, 0x08u},
	{0x9Du, 0x02u},
	{0x9Eu, 0x10u},
	{0xA6u, 0x80u},
	{0xA8u, 0x08u},
	{0xABu, 0x20u},
	{0xB4u, 0x08u},
	{0xB7u, 0x40u},
	{0xCAu, 0x04u},
	{0xCEu, 0x08u},
	{0xD0u, 0x07u},
	{0xD6u, 0x0Fu},
	{0xDEu, 0x02u},
	{0xE2u, 0x40u},
	{0xE6u, 0x08u},
	{0xEEu, 0x40u},
	{0x00u, 0x52u},
	{0x02u, 0x04u},
	{0x04u, 0x02u},
	{0x06u, 0x40u},
	{0x14u, 0x2Au},
	{0x16u, 0x44u},
	{0x18u, 0x62u},
	{0x1Au, 0x05u},
	{0x1Eu, 0x20u},
	{0x20u, 0x09u},
	{0x22u, 0x10u},
	{0x2Au, 0x80u},
	{0x2Eu, 0x80u},
	{0x30u, 0x40u},
	{0x32u, 0x38u},
	{0x34u, 0x07u},
	{0x36u, 0x80u},
	{0x38u, 0x88u},
	{0x3Eu, 0x41u},
	{0x58u, 0x04u},
	{0x5Cu, 0x01u},
	{0x01u, 0x02u},
	{0x02u, 0x10u},
	{0x0Au, 0x38u},
	{0x0Bu, 0x01u},
	{0x10u, 0x09u},
	{0x12u, 0x80u},
	{0x1Au, 0x98u},
	{0x1Bu, 0x60u},
	{0x80u, 0x01u},
	{0x88u, 0x01u},
	{0xC0u, 0x0Cu},
	{0xC2u, 0x07u},
	{0xC4u, 0x0Bu},
	{0xD6u, 0x08u},
	{0xDBu, 0x04u},
	{0x5Cu, 0x10u},
	{0x65u, 0x20u},
	{0x67u, 0x04u},
	{0x84u, 0x02u},
	{0x8Bu, 0x20u},
	{0x8Cu, 0x10u},
	{0x97u, 0x04u},
	{0x9Du, 0x20u},
	{0xA0u, 0x02u},
	{0xA3u, 0x20u},
	{0xABu, 0x80u},
	{0xAFu, 0x04u},
	{0xB1u, 0x40u},
	{0xB3u, 0x04u},
	{0xD6u, 0x20u},
	{0xD8u, 0x20u},
	{0xE0u, 0x10u},
	{0xE2u, 0x80u},
	{0x08u, 0x0Au},
	{0x0Au, 0x35u},
	{0x0Cu, 0xC0u},
	{0x0Eu, 0x03u},
	{0x10u, 0x8Cu},
	{0x12u, 0x63u},
	{0x28u, 0x83u},
	{0x2Au, 0x5Cu},
	{0x2Cu, 0x05u},
	{0x2Eu, 0x0Au},
	{0x30u, 0x80u},
	{0x32u, 0x0Fu},
	{0x34u, 0x30u},
	{0x36u, 0x40u},
	{0x3Au, 0x08u},
	{0x3Cu, 0x08u},
	{0x3Eu, 0x51u},
	{0x58u, 0x04u},
	{0x04u, 0x10u},
	{0x05u, 0x40u},
	{0x0Fu, 0x40u},
	{0x14u, 0x08u},
	{0x16u, 0x02u},
	{0x1Cu, 0x10u},
	{0x1Fu, 0xA2u},
	{0x7Fu, 0x02u},
	{0x88u, 0x02u},
	{0x93u, 0x48u},
	{0x98u, 0x08u},
	{0x99u, 0x40u},
	{0x9Au, 0x02u},
	{0x9Du, 0x20u},
	{0xA5u, 0x40u},
	{0xABu, 0x20u},
	{0xAEu, 0x80u},
	{0xB0u, 0x08u},
	{0xB1u, 0x02u},
	{0xB3u, 0xC2u},
	{0xB4u, 0x08u},
	{0xB7u, 0x20u},
	{0xC0u, 0xC0u},
	{0xC2u, 0x10u},
	{0xC4u, 0xC0u},
	{0xDEu, 0x10u},
	{0xEAu, 0x20u},
	{0xECu, 0x04u},
	{0xEEu, 0x08u},
	{0x80u, 0x03u},
	{0x82u, 0x64u},
	{0x84u, 0x20u},
	{0x86u, 0x04u},
	{0x88u, 0x89u},
	{0x8Au, 0x36u},
	{0x8Cu, 0x12u},
	{0x98u, 0xEDu},
	{0x9Au, 0x10u},
	{0xA8u, 0x84u},
	{0xAAu, 0x49u},
	{0xACu, 0x0Cu},
	{0xB0u, 0x1Fu},
	{0xB4u, 0x60u},
	{0xB6u, 0x80u},
	{0xB8u, 0x82u},
	{0xBAu, 0x20u},
	{0xBEu, 0x40u},
	{0xC0u, 0x05u},
	{0xC5u, 0x50u},
	{0xC6u, 0x51u},
	{0xC8u, 0x0Eu},
	{0xC9u, 0xFFu},
	{0xCAu, 0x07u},
	{0xCBu, 0xFFu},
	{0xCCu, 0x40u},
	{0xCDu, 0x20u},
	{0xCEu, 0xF0u},
	{0xCFu, 0x05u},
	{0xD0u, 0x08u},
	{0xD8u, 0x04u},
	{0xDAu, 0x04u},
	{0xDCu, 0x01u},
	{0xDDu, 0x01u},
	{0xE0u, 0x40u},
	{0xE1u, 0xA8u},
	{0xE2u, 0x40u},
	{0xE3u, 0x20u},
	{0x00u, 0x02u},
	{0x01u, 0x20u},
	{0x02u, 0x10u},
	{0x03u, 0x02u},
	{0x08u, 0x20u},
	{0x10u, 0x08u},
	{0x12u, 0x02u},
	{0x19u, 0xA0u},
	{0x1Bu, 0x32u},
	{0x49u, 0x80u},
	{0x4Bu, 0x01u},
	{0x52u, 0x10u},
	{0x53u, 0x40u},
	{0x80u, 0x21u},
	{0x8Bu, 0x02u},
	{0x92u, 0x20u},
	{0x97u, 0x81u},
	{0x9Du, 0x02u},
	{0xA0u, 0x09u},
	{0xA2u, 0x02u},
	{0xA7u, 0x10u},
	{0xA8u, 0x01u},
	{0xC0u, 0x0Fu},
	{0xC2u, 0x02u},
	{0xC4u, 0x03u},
	{0xD2u, 0x08u},
	{0xE6u, 0x80u},
	{0xE8u, 0x80u},
	{0xEEu, 0x88u},
	{0xA9u, 0x02u},
	{0xABu, 0x20u},
	{0xB4u, 0x01u},
	{0xB6u, 0x10u},
	{0x32u, 0x20u},
	{0x37u, 0x20u},
	{0x4Au, 0x20u},
	{0x4Bu, 0x02u},
	{0xCCu, 0x30u},
	{0x97u, 0x02u},
	{0x9Fu, 0x20u},
	{0xC6u, 0x10u},
	{0xCAu, 0x20u},
	{0x1Fu, 0xA0u},
	{0x5Bu, 0x08u},
	{0x5Cu, 0x02u},
	{0x64u, 0x02u},
	{0x87u, 0x80u},
	{0x97u, 0x02u},
	{0x9Fu, 0x20u},
	{0xD6u, 0xC0u},
	{0xE4u, 0x10u},
	{0x37u, 0x80u},
	{0x87u, 0x20u},
	{0x8Bu, 0x80u},
	{0x97u, 0x02u},
	{0x9Cu, 0x02u},
	{0x9Fu, 0x20u},
	{0xA3u, 0x80u},
	{0xA7u, 0x20u},
	{0xB7u, 0x08u},
	{0xC2u, 0x10u},
	{0xCCu, 0x20u},
	{0xE6u, 0x10u},
	{0x21u, 0x08u},
	{0xC8u, 0x02u},
	{0x22u, 0x04u},
	{0xA1u, 0x08u},
	{0xC8u, 0x02u},
	{0x0Au, 0x04u},
	{0x8Au, 0x04u},
	{0x92u, 0x08u},
	{0xA1u, 0x08u},
	{0xC2u, 0x02u},
	{0xE6u, 0x04u},
	{0x1Fu, 0x40u},
	{0x84u, 0x01u},
	{0x92u, 0x08u},
	{0xB5u, 0x08u},
	{0xC6u, 0x01u},
	{0xEEu, 0x08u},
	{0x23u, 0x80u},
	{0x27u, 0x20u},
	{0x28u, 0x44u},
	{0x2Du, 0x08u},
	{0x2Fu, 0x01u},
	{0x30u, 0x44u},
	{0x35u, 0x08u},
	{0x97u, 0x02u},
	{0x9Fu, 0xA0u},
	{0xB0u, 0x02u},
	{0xC8u, 0xC0u},
	{0xCAu, 0xF0u},
	{0xCCu, 0xD0u},
	{0x07u, 0x60u},
	{0x0Fu, 0x20u},
	{0x23u, 0x20u},
	{0x25u, 0x08u},
	{0x26u, 0x80u},
	{0x29u, 0x10u},
	{0x2Eu, 0x10u},
	{0x31u, 0x08u},
	{0x33u, 0x40u},
	{0x35u, 0x10u},
	{0x38u, 0x20u},
	{0x3Eu, 0x10u},
	{0x4Cu, 0x10u},
	{0x4Eu, 0x80u},
	{0x57u, 0x02u},
	{0x59u, 0x08u},
	{0x5Du, 0x02u},
	{0x60u, 0x08u},
	{0x87u, 0x02u},
	{0x89u, 0x08u},
	{0x8Fu, 0x10u},
	{0x98u, 0x08u},
	{0x99u, 0x02u},
	{0xA8u, 0x08u},
	{0xADu, 0x02u},
	{0xC2u, 0x20u},
	{0xC8u, 0xE0u},
	{0xCAu, 0x30u},
	{0xCCu, 0x70u},
	{0xCEu, 0x30u},
	{0xD6u, 0xE0u},
	{0xD8u, 0x40u},
	{0xE2u, 0x10u},
	{0xEEu, 0x30u},
	{0xAEu, 0x04u},
	{0xB0u, 0x01u},
	{0xB3u, 0x40u},
	{0xE8u, 0x01u},
	{0xEEu, 0x01u},
	{0x00u, 0x03u},
	{0x01u, 0x01u},
	{0x0Au, 0x01u},
	{0x0Cu, 0x02u},
	{0x0Du, 0x01u},
	{0x10u, 0x03u},
	{0x1Au, 0x01u},
	{0x1Cu, 0x02u},
};


/* IDMUX_IRQ Address: CYDEV_IDMUX_IRQ_CTL0 Size (bytes): 8 */
static CYDATADECL(BS_IDMUX_IRQ_VAL) [] DMAINITSEC = {
	0x0A, 0x00, 0x00, 0x00, 0x08, 0x88, 0xA2, 0xA2};

/* UDB_1_3_1_CONFIG Address: CYDEV_UCFG_B0_P2_U1_BASE Size (bytes): 128 */
static CYDATADECL(BS_UDB_1_3_1_CONFIG_VAL) [] DMAINITSEC = {
	0x80, 0x02, 0x41, 0x00, 0x80, 0x12, 0x41, 0x00, 0xC1, 0x00, 0x00, 0x02, 0xC1, 0x02, 0x00, 0x00, 
	0xC1, 0x05, 0x00, 0x08, 0x24, 0x12, 0x59, 0x00, 0xC1, 0x02, 0x00, 0x00, 0x2A, 0x00, 0x54, 0x02, 
	0xC1, 0x02, 0x00, 0x00, 0x03, 0x02, 0x1C, 0x00, 0x43, 0x07, 0x00, 0x08, 0x43, 0x08, 0x00, 0x03, 
	0x80, 0x03, 0x00, 0x00, 0x70, 0x10, 0x0F, 0x0C, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x51, 0x51, 
	0x23, 0x05, 0x40, 0x00, 0x06, 0xCC, 0x00, 0xC0, 0x23, 0xFF, 0xFF, 0xFF, 0x02, 0x00, 0x70, 0x08, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x13, 0x04, 0x04, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0xC0, 0x00, 0x40, 0x01, 0x10, 0x11, 0x00, 0x01, 0xC0, 0x01, 0x40, 0x01, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

/* UDB_1_2_1_CONFIG Address: CYDEV_UCFG_B0_P3_U0_BASE Size (bytes): 128 */
static CYDATADECL(BS_UDB_1_2_1_CONFIG_VAL) [] DMAINITSEC = {
	0x00, 0x00, 0x00, 0x20, 0x00, 0x03, 0x20, 0x44, 0x00, 0x00, 0x1B, 0x00, 0xDB, 0x1B, 0x00, 0x04, 
	0x00, 0x00, 0x00, 0x40, 0x5B, 0x04, 0x80, 0x13, 0x1B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0x80, 
	0xC0, 0x00, 0x03, 0x80, 0x00, 0x46, 0x00, 0x18, 0x00, 0x00, 0x12, 0x00, 0x00, 0x09, 0x04, 0x00, 
	0x80, 0x38, 0x40, 0x07, 0x38, 0x40, 0x07, 0x80, 0x28, 0x80, 0x00, 0x08, 0x00, 0x00, 0x05, 0x50, 
	0x25, 0x04, 0x30, 0x00, 0x01, 0xD0, 0xEF, 0xBC, 0x3E, 0xFF, 0xFF, 0xFF, 0x23, 0x00, 0xF0, 0x08, 
	0x08, 0x00, 0x00, 0x00, 0x61, 0x00, 0x00, 0x00, 0x04, 0x04, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0xC0, 0x00, 0x40, 0x01, 0x10, 0x11, 0x00, 0x01, 0xC0, 0x01, 0x40, 0x01, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

/* IOPINS0_0 Address: CYDEV_IO_PRT_PRT0_DM0 Size (bytes): 8 */
static CYDATADECL(BS_IOPINS0_0_VAL) [] DMAINITSEC = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0x00};

/* IOPINS0_1 Address: CYDEV_IO_PRT_PRT1_DM0 Size (bytes): 8 */
static CYDATADECL(BS_IOPINS0_1_VAL) [] DMAINITSEC = {
	0x20, 0xD4, 0xD4, 0x00, 0xD4, 0x00, 0x00, 0x00};

/* IOPINS0_7 Address: CYDEV_IO_PRT_PRT12_DM0 Size (bytes): 8 */
static CYDATADECL(BS_IOPINS0_7_VAL) [] DMAINITSEC = {
	0x00, 0xC0, 0xC0, 0x00, 0xC0, 0x00, 0x00, 0x00};

/* IOPINS0_2 Address: CYDEV_IO_PRT_PRT2_DR Size (bytes): 10 */
static CYDATADECL(BS_IOPINS0_2_VAL) [] DMAINITSEC = {
	0x80, 0x00, 0x00, 0xFF, 0x7F, 0x00, 0x00, 0x00, 0x00, 0x00};

/* IOPINS0_3 Address: CYDEV_IO_PRT_PRT3_DM0 Size (bytes): 8 */
static CYDATADECL(BS_IOPINS0_3_VAL) [] DMAINITSEC = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00};

/* IOPINS0_4 Address: CYDEV_IO_PRT_PRT4_DM0 Size (bytes): 8 */
static CYDATADECL(BS_IOPINS0_4_VAL) [] DMAINITSEC = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00};

/* IOPORT_1 Address: CYDEV_PRTDSI_PRT1_BASE Size (bytes): 7 */
static CYDATADECL(BS_IOPORT_1_VAL) [] DMAINITSEC = {
	0x44, 0x84, 0x00, 0x00, 0x00, 0x00, 0x00};

/* IOPORT_2 Address: CYDEV_PRTDSI_PRT2_BASE Size (bytes): 7 */
static CYDATADECL(BS_IOPORT_2_VAL) [] DMAINITSEC = {
	0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00};

/* IOPORT_7 Address: CYDEV_PRTDSI_PRT12_BASE Size (bytes): 6 */
static CYDATADECL(BS_IOPORT_7_VAL) [] DMAINITSEC = {
	0x40, 0x00, 0x00, 0x00, 0x00, 0x00};

#define CFG_MEMCPY_COUNT (sizeof(cfg_memcpy_list)/sizeof(*cfg_memcpy_list))
static const cfg_memcpy_t CYCODE cfg_memcpy_list [] = {
	/* dest, src, size */
	{(void CYFAR *)(CYDEV_IDMUX_IRQ_CTL0), BS_IDMUX_IRQ_VAL, 8},
	{(void CYFAR *)(CYDEV_UCFG_B0_P2_U1_BASE), BS_UDB_1_3_1_CONFIG_VAL, 128},
	{(void CYFAR *)(CYDEV_UCFG_B0_P3_U0_BASE), BS_UDB_1_2_1_CONFIG_VAL, 128},
};


#if defined(__C51__) || defined(__CX51__)
extern void cfg_write_bytes_code(void CYCODE *table);
extern void cfg_write_bytes(void CYFAR *table);
#else
/* For 32-bit little-endian architectures */
static void cfg_write_bytes32(void)
{
	unsigned int i, j = 0;
	for (i = 0; i < CY_CFG_BASE_ADDR_COUNT; i++)
	{
		uint32 baseAddr = cy_cfg_addr_table[i];
		uint8 count = baseAddr & 0xFFu;
		baseAddr &= 0xFFFFFF00u;
		while (count--)
		{
			CY_SET_XTND_REG8((void CYFAR *)(baseAddr + cy_cfg_data_table[j].offset), cy_cfg_data_table[j].value);
			j++;
		}
	}
}
#endif

#if defined(__C51__) || defined(__CX51__)
#define CYMEMZERO8(a,c) cymemzero((a),(c))
#define CYCONFIGCPY8(d,s,c) cyconfigcpy((c),(s),(d))
#define CYCONFIGCPYCODE8(d,s,c) cyconfigcpycode((c),(s),(d))
#else
#if defined(__GNUC__) || defined(__ARMCC_VERSION)
__attribute__ ((unused))
#endif
static void cymemzero8(void *addr, unsigned int count)
{
	uint8 *addr8 = (uint8 *)addr;
	while (count--)
	{
		*addr8 = 0;
		addr8++;
	}
}

#if defined(__GNUC__) || defined(__ARMCC_VERSION)
__attribute__ ((unused))
#endif
static void cymemcpy8(void *dest, const void *src, unsigned int count)
{
	uint8 *dest8 = (uint8 *)dest;
	const uint8 *src8 = (const uint8 *)src;

	while (count--)
	{
		*dest8 = *src8;
		dest8++;
		src8++;
	}
}

#define CYMEMZERO8(a,c) cymemzero8((a),(c))
#define CYCONFIGCPY8(d,s,c) cymemcpy8((d),(s),(c))
#define CYCONFIGCPYCODE8(d,s,c) cymemcpy8((d),(s),(c))
#endif

static void ClockSetup(void)
{
	reg32  timeout;
	reg32* timeout_p = &timeout;
	reg8   pllLock;
	CY_SET_XTND_REG24((void CYFAR *)(CYDEV_CLKDIST_DCFG0_CFG0), 0x180017);
	CY_SET_XTND_REG24((void CYFAR *)(CYDEV_CLKDIST_DCFG1_CFG0), 0x180033);
	CY_SET_XTND_REG24((void CYFAR *)(CYDEV_CLKDIST_ACFG0_CFG0), 0x180012);
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_SLOWCLK_ILO_CR0), 0x04);
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_CLKDIST_CR), 0x00);
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_MFGCFG_IMO_TR1), (CY_GET_XTND_REG8(CYDEV_FLSHID_BASE + 0x10F)));
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_FASTCLK_IMO_CR), 0x52);
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_CLKDIST_CR), 0x10);
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_FASTCLK_PLL_P), 0x0F10);
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_CLKDIST_CR), 0x10);
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_FASTCLK_PLL_CFG0), 0x1051);
	pllLock = 0;
	for (timeout = 304; *timeout_p && (pllLock != 0x03u); timeout--) { pllLock = 0x03u & ((pllLock << 1) | ((CY_GET_XTND_REG8(CYDEV_FASTCLK_PLL_SR) & 0x01u) >> 0)); }
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_CLKDIST_MSTR0), 0x0103);
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_CLKDIST_MSTR0), 0x00);
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_CLKDIST_BCFG0), 0x00);
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_CLKDIST_BCFG2), 0x0048);
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_CLKDIST_LD), 0x02);

	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_PM_ACT_CFG2), ((CY_GET_XTND_REG8(CYDEV_PM_ACT_CFG2) | 0x03)));

	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_PM_ACT_CFG1), ((CY_GET_XTND_REG8(CYDEV_PM_ACT_CFG1) | 0x01)));
}

/* Analog API Functions */
void AnalogSetDefault(void)
{
	CY_SET_XTND_REG8(CYDEV_IO_PRT_PRT0_AG, 0x05);
	CY_SET_XTND_REG16(CYDEV_IO_PRT_PRT3_AMUX, 0xB010);
	CY_SET_XTND_REG16(CYDEV_IO_PRT_PRT4_AMUX, 0x2010);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_DAC0_SW3, 0x01);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_DAC1_SW3, 0x01);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_DAC2_SW0, 0x20);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_DAC3_SW0, 0x20);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_CMP0_SW0, 0x20);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_CMP0_SW4, 0x10);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_CMP1_SW0, 0x80);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_CMP1_SW4, 0x10);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_CMP2_SW0, 0x10);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_CMP2_SW3, 0x10);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_CMP3_SW0, 0x20);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_CMP3_SW4, 0x80);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_DSM0_SW3, 0x40);
	CY_SET_XTND_REG24(CYDEV_ANAIF_RT_ABUF2_SW, 0x010305);
	CY_SET_XTND_REG8(CYDEV_ANAIF_RT_BUS_SW0, 0x40);
	CY_SET_XTND_REG8(CYDEV_ANAIF_CFG_PUMP_CR0, 0x44);
}

#define CY_AMUX_UNUSED CYDEV_BOOST_SR
uint8 CYXDATA * const CYCODE AMux__addrTable[] = {
	(uint8 CYXDATA *)CYDEV_ANAIF_RT_BUS_SW0, (uint8 CYXDATA *)CYDEV_ANAIF_RT_DSM0_SW0, 
	(uint8 CYXDATA *)CYDEV_ANAIF_RT_DSM0_SW0, (uint8 CYXDATA *)CY_AMUX_UNUSED, 
};

const uint8 CYCODE AMux__maskTable[] = {
	0x80, 0x80, 
	0x10, 0x00, 
};

void AMux_Set(uint8 channel)
{
	if (channel >= 2)
		return;
	channel += channel;
	*AMux__addrTable[channel] |= AMux__maskTable[channel];
	channel++;
	*AMux__addrTable[channel] |= AMux__maskTable[channel];
}

void AMux_Unset(uint8 channel)
{
	if (channel >= 2)
		return;
	channel += channel;
	*AMux__addrTable[channel] &= ~AMux__maskTable[channel];
	channel++;
	*AMux__addrTable[channel] &= ~AMux__maskTable[channel];
}


/* Digital routing enable Functions */
static void EnableDigitalRouting() {
	CY_SET_XTND_REG8(CYDEV_UCFG_BCTL0_BANK_CTL, CY_GET_XTND_REG8(CYDEV_UCFG_BCTL0_BANK_CTL) | 0x02);
	CY_SET_XTND_REG8(CYDEV_UCFG_BCTL1_BANK_CTL, CY_GET_XTND_REG8(CYDEV_UCFG_BCTL1_BANK_CTL) | 0x02);
}

/* This function is called by the start-up code for the selected device. */
void cyfitter_cfg(void)
{
	uint8 CYDATA i;

#ifdef CYGlobalIntDisable
	CYGlobalIntDisable;
#endif

	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_CACHE_CC_CTL), ((CYDEV_INSTRUCT_CACHE_ENABLED) ? 0x40 : 0x41));
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_PHUB_CH0_BASIC_CFG), 0x00);
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_PHUB_CH1_BASIC_CFG), 0x00);

	CY_SET_XTND_REG8(CYDEV_MFGCFG_MLOGIC_DBG_DBE, (CY_GET_XTND_REG8(CYDEV_MFGCFG_MLOGIC_DBG_DBE) | 0x01));
	for (i = 0; i < CFG_MEMSET_COUNT; i++)
	{
		const cfg_memset_t CYCODE * CYDATA ms = &cfg_memset_list[i];
		CYMEMZERO(ms->address, ms->size);
	}

	for (i = 0; i < CFG_MEMCPY_COUNT; i++)
	{
		const cfg_memcpy_t CYCODE * CYDATA mc = &cfg_memcpy_list[i];
		void * CYDATA dest = mc->dest;
		const void CYCODE * CYDATA src = mc->src;
		uint16 CYDATA size = mc->size;
		CYCONFIGCPYCODE(dest, src, size);
	}

	cfg_write_bytes32();

	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT0_BASE), 7);
	CYCONFIGCPYCODE8((void CYFAR *)(CYDEV_PRTDSI_PRT1_BASE), (void CYCODE *)(BS_IOPORT_1_VAL), 7);
	CYCONFIGCPYCODE8((void CYFAR *)(CYDEV_PRTDSI_PRT2_BASE), (void CYCODE *)(BS_IOPORT_2_VAL), 7);
	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT3_BASE), 7);
	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT4_BASE), 7);
	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT5_BASE), 7);
	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT6_BASE), 7);
	CYCONFIGCPYCODE8((void CYFAR *)(CYDEV_PRTDSI_PRT12_BASE), (void CYCODE *)(BS_IOPORT_7_VAL), 6);
	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT15_BASE), 7);
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_ANAIF_CFG_LUT0_CR), 0x0003);
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_ANAIF_CFG_LUT1_CR), 0x0103);
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_ANAIF_CFG_LUT2_CR), 0x0203);
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_ANAIF_CFG_LUT3_CR), 0x0303);
	/* BYTES WRITTEN: 70 */
	EnableDigitalRouting();

	CyEnableDigitalArray();

	CYCONFIGCPYCODE((void CYFAR *)(CYDEV_IO_PRT_PRT0_DM0), (void CYCODE *)(BS_IOPINS0_0_VAL), 8);
	CYCONFIGCPYCODE((void CYFAR *)(CYDEV_IO_PRT_PRT1_DM0), (void CYCODE *)(BS_IOPINS0_1_VAL), 8);
	CYCONFIGCPYCODE8((void CYFAR *)(CYDEV_IO_PRT_PRT12_DM0), (void CYCODE *)(BS_IOPINS0_7_VAL), 8);
	CYCONFIGCPYCODE((void CYFAR *)(CYDEV_IO_PRT_PRT2_DR), (void CYCODE *)(BS_IOPINS0_2_VAL), 10);
	CYCONFIGCPYCODE((void CYFAR *)(CYDEV_IO_PRT_PRT3_DM0), (void CYCODE *)(BS_IOPINS0_3_VAL), 8);
	CYCONFIGCPYCODE((void CYFAR *)(CYDEV_IO_PRT_PRT4_DM0), (void CYCODE *)(BS_IOPINS0_4_VAL), 8);
	/* BYTES WRITTEN: 50 */

	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_CACHE_CC_CTL), ((CYDEV_INSTRUCT_CACHE_ENABLED) ? 0x00 : 0x01));
	ClockSetup();
	CY_SET_XTND_REG8((void CYFAR *)(CYDEV_CACHE_CC_CTL), ((CYDEV_INSTRUCT_CACHE_ENABLED) ? 0x80 : 0x81));

	AnalogSetDefault();
}

/* [] END OF FILE */
